background{color rgb <1,0,1>}
//background{color rgb <0,0,0>}


#macro IsoCamera(Rot)
  camera
  {
    orthographic
    angle 83
    location <18.6, 8.0,-18.6> 
    look_at  < 0  ,-7.3,  0  >
    translate <0,12,0>
    rotate <0,Rot,0>
  }
#end


// posiziona la camera
#switch(View)
  #case(0)
    IsoCamera(0)
    light_source { <20,30,-8> <1,1,1> rotate <0,0,0> }
  #break
  #case(1)
    IsoCamera(90)
    light_source { <20,30,-8> <1,1,1> rotate <0,90,0> }
  #break
  #case(2)
    IsoCamera(180)
    light_source { <20,30,-8> <1,1,1> rotate <0,180,0> }
  #break
  #case(3)
    IsoCamera(270)
    light_source { <20,30,-8> <1,1,1> rotate <0,270,0> }
  #break
  #case(10)
    camera
    {
      angle 50
      location <20,16,-20> 
      look_at <0,-5,0>
    }
    light_source { <20,30,-8> <1,1,1> rotate <0,0,0> }
  #break
#end



// macro per la generazione delle pietre del pavimento
#macro FloorStone(x1,y1,x2,y2)
  superellipsoid { <0.25,0.25> }
  scale <(x2-x1)/2,5,(y2-y1)/2>
  translate <(x2+x1)/2,-5,(y2+y1)/2>
#end


// macro per la generazione delle pietre del muro orientato da nord a sud
#macro NSwallStone(x1,y1,x2,y2)
  superellipsoid { <0.25,0.25> }
  scale <5,(y2-y1)/2,(x2-x1)/2>
  translate <0,(y2+y1)/2,(x2+x1)/2>
#end


// macro per la generazione delle pietre del muro orientato da est a ovet
#macro EWwallStone(x1,y1,x2,y2)
  superellipsoid { <0.25,0.25> }
  scale <(x2-x1)/2,(y2-y1)/2,5>
  translate <(x2+x1)/2,(y2+y1)/2,0>
#end


// macro per la colorazione delle pietre
#macro Colore_1(Scal,Turb)
  texture 
  { 
    pigment
    { 
      bozo
      scale Scal
      turbulence Turb
      color_map
      {
	[ 0.0 color rgb <0.29,0.24,0.18> ]
	[ 0.5 color rgb <0.57,0.48,0.37> ]
	[ 1.0 color rgb <0.70,0.55,0.40> ]
      }
    }
    finish
    { 
      roughness 0.1
      ambient 0.25		// parte in ombra 
      diffuse 0.75		// parte in luce
      crand 0.02		// effetto sabbia
    }
  }
#end


#macro Colore_2(Scal,Turb)
  texture 
  { 
    pigment
    { 
      bozo
      scale Scal
      turbulence Turb
      color_map
      {
	[ 0.0 color rgb <0.29,0.24,0.18> ]
	[ 0.5 color rgb <0.57,0.58,0.57> ]
	[ 1.0 color rgb <0.70,0.55,0.40> ]
      }
    }
    finish
    { 
      roughness 0.2
      ambient 0.25		// parte in ombra 
      diffuse 0.75		// parte in luce
      crand 0.05		// effetto sabbia
    }
  }
#end
